//
//  TaskWrap.h
//  Sox Wrap
//
//  Created by Kenneth Hoffmann on 11/7/04.
//  Copyright 2004 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@class SoxView;
@interface TaskWrap : NSObject {
	NSTask * task;
	NSFileHandle * taskOutput;
	NSPipe * outputPipe;
	NSFileHandle * taskInput;
	NSPipe * inputPipe;
	
	IBOutlet NSTextView * textBox;
	
	NSNotificationCenter * defaultCenter;
	
	IBOutlet SoxView * soxView;
	
	bool taskValid;
	bool timerValid;
	bool firstTime;
	NSTimer * scroller;
}

-(void)initializeTask;
-(void)cleanupTask:(NSNotification *)notif;
-(void)taskCompleted:(NSNotification *)notif;
-(void)taskDataAvailable:(NSNotification *)notif;
-(void)runTask:(NSMutableArray *)args;
-(void)killTask;
-(BOOL)taskIsValid;

-(void)scroll;
@end

